# Generated from schema-evolution-manager-0.9.54.gem by gem2rpm -*- rpm-spec -*-
%global gem_name schema-evolution-manager

Name: rubygem-%{gem_name}
Version: 0.9.54
Release: 1%{?dist}
Summary: Schema evolution manager is a simple schema migration tool for postgresql databases
License: Apache-2.0
URL: https://github.com/gilt/schema-evolution-manager
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
["Michael Bryzek"].


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sem-info
%{_bindir}/sem-config
%{_bindir}/sem-add
%{_bindir}/sem-init
%{_bindir}/sem-apply
%{_bindir}/sem-dist
%{_bindir}/sem-baseline
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/scripts
%{gem_instdir}/template
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Thu Jul 18 2024 mockbuilder - 0.9.54-1
- Initial package
